[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBImage.Create

Constructor for the class instance.

## Declaration

Source position: dbctrls.pp line 1199

`public constructor TDBImage.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor.

Create allocates resources for the internal TFieldDataLink instance used in the class, and configures the data link. The DataChange and UpdateData methods are used as the OnDataChange and OnUpdateData event handlers in the data link.

Create sets the default value for the following properties:

ControlStyle
  Includes csReplicatable in the existing style for the control.
AutoDisplay
  Set to True.
QuickDraw
  Set to True.
WriteHeader
  Set to True.

## See also

TCustomImage.Create |  | Constructor for the class instance.